Subject: [Mgs] Curious UK Info

From: jim williams via Mgs <[email-masked]>
Date: Sat, 14 Feb 2015 13:23:54 -0500

Do the guys really drive the cars?
Here in the U.S. we never see programs where the cars are driven flat out. I was surprised to hear about Clarkson's lack of knowledge.
I agree that 5th Gear is one hot hatch after another. Years ago I thought it was pretty good.  Wheeler Dealers does have a lot of US cars being worked on by Ed.
One of our better shows is Fantom Works. I went to see their operation and they are very much the real thing. 
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]